import dynamix_sdk.base as _base


class CloudbrokerAccountSetCpuAllocationRatioResultBool(
    _base.BaseAPIResultBool,
):
    pass


class CloudbrokerAccountSetCpuAllocationRatioProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def set_cpu_allocation_ratio(
        self,
        *,
        account_id: int,
        ratio: float,
    ) -> CloudbrokerAccountSetCpuAllocationRatioResultBool:
        ...
